package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpInquiryDetail对象",
   description = "询价详情表"
)
public class DrpInquiryDetail {
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("询价明细id")
   private Long inquiryDetailId;
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("备注")
   private String notes;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("备注")
   private String remark;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getInquiryDetailId() {
      return this.inquiryDetailId;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getNotes() {
      return this.notes;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInquiryDetailId(final Long inquiryDetailId) {
      this.inquiryDetailId = inquiryDetailId;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setNotes(final String notes) {
      this.notes = notes;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpInquiryDetail(id=" + var10000 + ", inquiryDetailId=" + this.getInquiryDetailId() + ", inquiryId=" + this.getInquiryId() + ", materialId=" + this.getMaterialId() + ", notes=" + this.getNotes() + ", unitId=" + this.getUnitId() + ", size=" + this.getSize() + ", purNum=" + String.valueOf(this.getPurNum()) + ", revision=" + this.getRevision() + ", remark=" + this.getRemark() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
